# Uses of Class
org.codehaus.plexus.util.xml.Xpp3Dom

Packages that use Xpp3Dom
Package
Description
org.codehaus.plexus.util.xml
XML utilities.

## Uses of Xpp3Dom in org.codehaus.plexus.util.xml

Fields in org.codehaus.plexus.util.xml declared as Xpp3Dom
Modifier and Type
Field
Description
`protected Xpp3Dom`
Xpp3Dom.`parent`
Fields in org.codehaus.plexus.util.xml with type parameters of type Xpp3Dom
Modifier and Type
Field
Description
`protected final List<Xpp3Dom>`
Xpp3Dom.`childList`
Methods in org.codehaus.plexus.util.xml that return Xpp3Dom
Modifier and Type
Method
Description
`static Xpp3Dom`
Xpp3DomBuilder.`build(InputStream is, String encoding)`
`static Xpp3Dom`
Xpp3DomBuilder.`build(InputStream is, String encoding, boolean trim)`
`static Xpp3Dom`
Xpp3DomBuilder.`build(Reader reader)`
`static Xpp3Dom`
Xpp3DomBuilder.`build(Reader reader, boolean trim)`
`static Xpp3Dom`
Xpp3DomBuilder.`build(Reader reader, boolean trim, Xpp3DomBuilder.InputLocationBuilder locationBuilder)`
`static Xpp3Dom`
Xpp3DomBuilder.`build(Reader reader, Xpp3DomBuilder.InputLocationBuilder locationBuilder)`
`static Xpp3Dom`
Xpp3DomBuilder.`build(XmlPullParser parser)`
`static Xpp3Dom`
Xpp3DomBuilder.`build(XmlPullParser parser, boolean trim)`
`static Xpp3Dom`
Xpp3DomBuilder.`build(XmlPullParser parser, boolean trim, Xpp3DomBuilder.InputLocationBuilder locationBuilder)`
`Xpp3Dom`
Xpp3Dom.`getChild(int i)`
`Xpp3Dom`
Xpp3Dom.`getChild(String name)`
`Xpp3Dom[]`
Xpp3Dom.`getChildren()`
`Xpp3Dom[]`
Xpp3Dom.`getChildren(String name)`
`Xpp3Dom`
Xpp3Dom.`getParent()`
`static Xpp3Dom`
Xpp3Dom.`mergeXpp3Dom(Xpp3Dom dominant, Xpp3Dom recessive)`
Merge two DOMs, with one having dominance in the case of collision.
`static Xpp3Dom`
Xpp3Dom.`mergeXpp3Dom(Xpp3Dom dominant, Xpp3Dom recessive, Boolean childMergeOverride)`
Merge two DOMs, with one having dominance in the case of collision.
`static Xpp3Dom`
Xpp3DomUtils.`mergeXpp3Dom(Xpp3Dom dominant, Xpp3Dom recessive)`
Merge two DOMs, with one having dominance in the case of collision.
`static Xpp3Dom`
Xpp3DomUtils.`mergeXpp3Dom(Xpp3Dom dominant, Xpp3Dom recessive, Boolean childMergeOverride)`
Merge two DOMs, with one having dominance in the case of collision.
Methods in org.codehaus.plexus.util.xml with parameters of type Xpp3Dom
Modifier and Type
Method
Description
`void`
Xpp3Dom.`addChild(Xpp3Dom xpp3Dom)`
`static Xpp3Dom`
Xpp3Dom.`mergeXpp3Dom(Xpp3Dom dominant, Xpp3Dom recessive)`
Merge two DOMs, with one having dominance in the case of collision.
`static Xpp3Dom`
Xpp3Dom.`mergeXpp3Dom(Xpp3Dom dominant, Xpp3Dom recessive, Boolean childMergeOverride)`
Merge two DOMs, with one having dominance in the case of collision.
`static Xpp3Dom`
Xpp3DomUtils.`mergeXpp3Dom(Xpp3Dom dominant, Xpp3Dom recessive)`
Merge two DOMs, with one having dominance in the case of collision.
`static Xpp3Dom`
Xpp3DomUtils.`mergeXpp3Dom(Xpp3Dom dominant, Xpp3Dom recessive, Boolean childMergeOverride)`
Merge two DOMs, with one having dominance in the case of collision.
`void`
Xpp3Dom.`removeChild(Xpp3Dom child)`
`void`
Xpp3Dom.`setParent(Xpp3Dom parent)`
`static void`
Xpp3DomWriter.`write(PrintWriter writer, Xpp3Dom dom)`
`static void`
Xpp3DomWriter.`write(Writer writer, Xpp3Dom dom)`
`static void`
Xpp3DomWriter.`write(XMLWriter xmlWriter, Xpp3Dom dom)`
`static void`
Xpp3DomWriter.`write(XMLWriter xmlWriter, Xpp3Dom dom, boolean escape)`
`void`
Xpp3DomUtils.`writeToSerializer(String namespace, XmlSerializer serializer, Xpp3Dom dom)`
Constructors in org.codehaus.plexus.util.xml with parameters of type Xpp3Dom
Modifier
Constructor
Description
``
`Xpp3Dom(Xpp3Dom src)`
Copy constructor.
``
`Xpp3Dom(Xpp3Dom src, String name)`
Copy constructor with alternative name.